# Subsquid SRB

SQDSRB is a benchmark representing the mean, annualized staking rate across all active Subsquid workers.

SQDSRB is calculated and published by Staking Rewards via the [Subsquid Profile](https://www.stakingrewards.com/asset/subsquid) and [Data API](https://www.stakingrewards.com/data-api).

> **TL;DR:** Subsquid staking rewards are based on a dynamic target reward rate that adjusts according to network utilization and total staked tokens. The rate is distributed per epoch and annualized.

### SQD Staking Rewards Rate: SQDSRB

$$
SQDSRB = rAPR/t\_y \* st \* el
$$

<table><thead><tr><th width="149">Formula key</th><th width="180">Metric name</th><th>Description</th></tr></thead><tbody><tr><td>rAPR</td><td>Target Reward Rate</td><td>The target reward rate. It is a dynamic rate that determines the annual rewards distributed to stakers based on the network's utilization and the total amount of staked tokens.</td></tr><tr><td>st</td><td>Staked Tokens</td><td>The total tokens staked including tokens bonded by workers and delegated by delegators.</td></tr><tr><td>el</td><td>Epoch Length</td><td>The length of the epoch in days.</td></tr><tr><td><span class="math">t_y</span></td><td>Year Constant</td><td>365d</td></tr></tbody></table>

#### Slashing

* SQDSRB does not factor in the possibility of slashing occurrences.
* It's important to note that if validator entities face slashing, rewards will increase, as the slashed tokens are reallocated among validators.

***

### SQD Worker Staking Reward Rate: SQDSRB(v)

Staking Rewards calculates the SQDSRB for each worker based on their individual performance.

$$
SQDSRB(v) = rMAX \* dl \* dt\_1 \* dt\_2
$$

<table><thead><tr><th width="142">Formula key</th><th width="208">Metric name</th><th>Description</th></tr></thead><tbody><tr><td>rMAX</td><td>Maximum Reward Rate</td><td>The maximum potential yield for the epoch.</td></tr><tr><td>dl</td><td>Liveness Factor</td><td>it is calculated as the percentage of the time the worker is self-reported online.</td></tr><tr><td><span class="math">dt_1</span></td><td>Traffic Factor</td><td>Cobb-Douglas type discount factor.</td></tr><tr><td><span class="math">dt_2</span></td><td>Tenure Factor</td><td>It is a long-range liveness factor incentivizing consistent liveness across the epochs.</td></tr></tbody></table>

***

#### Observation Period:

* The SQDSRB is determined based on the latest generated epoch at the point of evaluation.
* This data is then annualized for a comprehensive year-long projection.

#### Calculation

The calculation happens every 2 hours and is immediately published via [Data API](https://www.stakingrewards.com/data-api).

#### Limitations

* SQDSRB excludes rewards accrued from on-chain fees.
* SQDSRB employs a 365-day convention for annualizing current slot times. This convention remains consistent and does not accommodate adjustments for leap years.

***

### SQD Real Reward Rate: SQDSRB^R

The real reward rate calculates the SQDSRB adjusted for inflation in the network.

$$
SQDSRB^R=1 + SQDSRB/(1+ir) -1
$$

<table><thead><tr><th width="140">Formula key</th><th width="144">Metric name</th><th>Description</th></tr></thead><tbody><tr><td>ir</td><td>Inflation Rate</td><td>The annual provisions divided by the circulating supply.</td></tr></tbody></table>

**Inflation Rate Behavior**

* The inflation rate is fix for the initial 3-year bootstrapping phase. After this period, the reward cap decreases significantly until the community decides on a new inflation schedule through governance.

***

### Other Subsquid metrics calculated by Staking Rewards:

<table><thead><tr><th width="190">Metric</th><th>Description</th></tr></thead><tbody><tr><td>Delegated Tokens</td><td>The number of SQD tokens delegated to workers.</td></tr><tr><td>Self Staked Tokens</td><td>The number of SQD tokens bonded by workers directly.</td></tr><tr><td>Staking Wallets</td><td>The total number of unique delegations on-chain. It doesn't distinguish based on unique delegator addresses.</td></tr></tbody></table>

#### Data Sources:

* [Staking Rewards](https://www.stakingrewards.com/) from indexed Subsquid Blockchain RPC Endpoints

***

#### References:

* <https://docs.sqd.dev/>

***

:books:[ Learn more about SQD Staking](https://www.stakingrewards.com/asset/subsquid)

:bar\_chart: [Calculate your SQD Staking Rewards](https://www.stakingrewards.com/calculator?asset=subsquid)

:gear: [Access historic Subsquid Staking Data via API](https://www.stakingrewards.com/data-api)

```
Last updated on 08/27/2024
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stakingrewards.com/staking-data/methodologies/subsquid-srb.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
